# $Revision: 1.10 $, $Date: 2008/12/02 13:13:57 $
# Conditional build:
%bcond_with	tests		# build without tests
#
Summary:	OpenVPN Auth-LDAP Plugin
Summary(pl.UTF-8):	Wtyczka Auth-LDAP dla OpenVPN
Name:		openvpn-plugin-auth-ldap
Version:	2.0.3
Release:	1
License:	BSD
Group:		Applications
Source0:	http://openvpn-auth-ldap.googlecode.com/files/auth-ldap-%{version}.tar.gz
# Source0-md5:	03dedc57efc8d4fc2ffe2c014121299d
URL:		http://code.google.com/p/openvpn-auth-ldap/
Patch0:	%{name}-make.patch
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_tests:BuildRequires:	check}
BuildRequires:	gcc-objc
BuildRequires:	openldap-devel
BuildRequires:	openvpn-devel
BuildRequires:	re2c
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/openvpn/plugins
%define		_sysconfdir	/etc/openvpn

%description
The openvpn-auth-ldap plugin implements username/password
authentication via LDAP.

%description -l pl.UTF-8
Wtyczka openvpn-auth-ldap implementuje uwierzytelnianie nazwą
użytkownika i hasłem poprzez LDAP.

%prep
%setup -q -n auth-ldap-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -f /usr/share/automake/config.sub .
%configure \
	--with-check=%{!?with_check:/proc}%{?with_check:/usr} \
	--with-openldap=/usr \
	--with-openvpn=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a auth-ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(755,root,root) %{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openvpn-plugin-auth-ldap.spec,v $
Revision 1.10  2008/12/02 13:13:57  glen
- update to 2.0.3

Revision 1.9  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.8  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.6  2006/01/22 16:17:55  qboosh
- BR: automake

Revision 1.5  2006/01/20 23:59:29  glen
- updated to 1.0.3. this version has strlcpy.c in sources

Revision 1.4  2005/10/06 22:10:38  glen
- I was on right track, TODO removed :)

Revision 1.3  2005/10/06 14:38:46  qboosh
- pl

Revision 1.2  2005/10/06 11:10:20  glen
- todo for future

Revision 1.1  2005/10/03 16:06:05  glen
- new
